# Webform Post Remote Queue

This module extends the Webform submission remote post handler, which posts submission to a URL. The **Remote post (Queued)** handler provided by this module adds the submission to a queue to be processed asynchronously in the background.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/webform_post_remote_queue).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/webform_post_remote_queue).


## Table of contents

- Requirements
- Recommended modules
- Installation
- Configuration
- Troubleshooting
- FAQ
- Maintainers


## Requirements

This module requires the following modules:

- [Webform](https://www.drupal.org/project/webform)


## Recommended modules
- [Queue UI](https://www.drupal.org/project/queue_ui)


## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Enable the module at Administration > Extend.
2. Edit the webform you wish to add the handler to.
3. Under the **Settings** tab, click on **Emails/Handlers**.
4. Click on **Add handler** and select **Remote post (Queued)**.
5. Add the URL you wish to post the submission to in the **Completed URL** field.
6. Add the data you wish to post in the **Completed custom data** field. Use tokens to include submission data.

When the form is submitted, the submission will be added to a queue and processed in the background. If you have installed the Queue UI module, you can view the **Webform Remote Post Queue** and force it to be processed at Administration > Configuration > System > Queue UI.
